=== debian/changelog ===
aolserver4 (4.5.1-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patch from Santiago Vila which adds required targets build-arch
    and build-indep to debian/rules. (closes: #821962)

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 11 Aug 2016 14:51:58 +0300

aolserver4 (4.5.1-18) unstable; urgency=medium

  * Changed tcl8.6.patch to add USE_INTERP_RESULT, which is better for legacy
    code. That should fix also non core modules at build time.
    (closes: #746166)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Apr 2014 12:17:35 +0200

aolserver4 (4.5.1-17) unstable; urgency=medium

  * Fixed nsproxy for Tcl 8.5+ with a new patch nsproxy.patch.
    (closes: #631194)
  * Fixed for installation of nsproxy.
    (closes: #631190)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Apr 2014 09:32:51 +0200

aolserver4 (4.5.1-16) unstable; urgency=medium

  * Moved to source 3.0 with quilt.
  * Removed unused build-deps.
  * Debhelper level set to 9.
  * Policy bumped to 3.9.5.
  * Added tcl8.6 patch by Sergei Golovan to fix FTBS due to new Tcl default
    version. (closes: #724879)
  * Integrated previous NMU for translated templates:
    - Dutch; (Jeroen Schot).  (closes: #658840)
    - Polish (Michał Kułach).  (closes: #670626)
    - Italian (Beatrice Torracca).  (closes: #671397)
  * Removing explicitly /etc/default/aolserver4 file in postrm.
    (closes: #668728)
  * Moved debian/copyright to DEP5 format and revised.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 19 Mar 2014 17:44:48 +0100

aolserver4 (4.5.1-15) unstable; urgency=low

  * Merges from experimental branch.
  * Added lintian overrides file for using rpath, which is legitimate for 
    internal libraries of aolserver4-core/daemon in order to avoid pollution
    of /usr/lib path.
  * Policy bumped to 3.9.1 without changes.
  * Revised debian/changelog layout for 80 cols.
  * Fixed aolserver4-daemon.postinst to avoid having +x in /etc/default/aolserver4
    (closes: #600925)
  * Fixed postinst to avoid changing recursively run and log dirs at
    configuration time. It could expose to (sym)link attacks when upgrading.
    (closes: #606554)
  * Fixed maint rules to autogenerate template *.in files at every build.
  * ABI increased to 1 for safety to avoid mixing modules built with different
    Tcl versions.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Mar 2011 12:41:19 +0100

aolserver4 (4.5.1-12) unstable; urgency=low

  * Removed aolserver4-daemon depending for aolserver4-core.
    (closes: #560790)
  * Added a debconf-updatepo to myclean target to updated templates 
    automagically. Fixed outdated debian/po/POTFILES.in to point the right
    template file, too.
    (closes: #563507)
  * Updated japanes debconf template.
    (closes: #564304)
  * Added build-dep on po-debconf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 19 Jan 2010 14:57:07 +0100

aolserver4 (4.5.1-11) unstable; urgency=low

  * Fixed init script to find the right shell snippet for non main instances.
    Thanks Hector.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 18 Dec 2009 13:43:27 +0100

aolserver4 (4.5.1-10) unstable; urgency=low

  * Fixed debian/rules and other scripts to use the -core package. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Dec 2009 11:09:21 +0100

aolserver4 (4.5.1-9) unstable; urgency=low

  * Removing default script at purge time by ucf. 
  * Converted to the use of a single virtual package to avoid package 
    prolification.  The previous -core transitional package is now again a 
    proper one. 
    (closes: #520914)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 14 Nov 2009 07:43:37 +0100

aolserver4 (4.5.1-8) unstable; urgency=low

  * Now using bash in example sheebang line.
    (closes: #530043)
  * Tcl configuration script now reads parameters from shell snippet to
    avoid inconsistencies in changing both default snippet and the Tcl 
    configuration script. Thanks Hector Romojaro for pointed that.
  * Fixed LSB init section and added $postgresql as possible interested 
    optional service. Thanks Hector.
  * Fixed init script syntax. Thanks Hector.
  * Updated vietnamese debconf template.
    (closes: #548007)
  * Postinst changed to manage debconf reconfiguration and work with
    the new styling in setting options.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 29 Oct 2009 11:10:34 +0100

aolserver4 (4.5.1-7) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #521146
    - [Debconf translation updates]
    - Galician. Closes: #524249
    - Russian. Closes: #523800
    - Portuguese. Closes: #523624
    - Spanish. Closes: #523386
    - Basque. Closes: #523015
    - Finnish. Closes: #523002
    - Swedish. Closes: #522974, #518789
    - Danish. Closes: #522894
    - German. Closes: #522832
    - French. Closes: #522648
    - Italian. Closes: #521877
    - Czech. Closes: #521664
    - Japanese. Closes: #519891

  [ Francesco Paolo Lovergine ]
  * Changed section to match ftpmasters override.
  * Policy bumped to 3.8.3, without changes.
  * Added a README.source file to explain use of dpatch to build the package.
  * Now more than one instance of AOLserver can be run by simple custom 
    scripts under /etc/aolserver4/conf.d. This is useful for OpenACS and other
    custom application. This is now explained in the README.Debian file.
  * Removed empty /var/run/aolserver4, now created in init script and postinst.
  * Updated NEWS file.
  * Updated README.Debian file.
  * Now init script uses a /etc/default/aolserver4 shell snippet, initially
    commented.
  * Added /etc/aolserver4/conf.d among directories. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Oct 2009 16:19:01 +0200

aolserver4 (4.5.1-6) unstable; urgency=high


