=== debian/control ===
Source: aolserver4
Section: web
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: sharutils, debhelper (>= 9), tcl-dev (>= 8.4), groff, zlib1g-dev, po-debconf
Standards-Version: 3.9.5
Homepage: http://www.aolserver.com/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/aolserver/aolserver4/trunk
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/aolserver/aolserver4/trunk

Package: aolserver4-daemon
Architecture: any
Depends: aolserver4-core (= ${binary:Version}), debconf (>= 1.2.9) | debconf-2.0, mime-support, ucf (>= 0.30),
 logrotate (>= 3.6.5-1), adduser, ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi, aolserver4
Recommends: aolserver4-doc
Conflicts: aolserver4 
Replaces: aolserver4-nscache, aolserver4
Description: AOL web server version 4 - program files
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package provides the server itself.

Package: aolserver4-core
Architecture: any
Depends: debconf (>= 1.2.9) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi, aolserver4-core-4.5.1, aolserver4-core-4.5.1-1
Recommends: aolserver4-doc, aolserver4-daemon
Replaces: aolserver4-core-4.5.1 
Conflicts: aolserver4-core-4.5.1
Description: AOL web server version 4 - core libraries
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package provides the basic shared libraries which are needed by
 the daemon and are also useful for building add-on modules. It does
 not contain the AOLserver daemon, which is in aolserver4.

Package: aolserver4-dev
Section: web
Architecture: any
Depends: aolserver4-core (= ${binary:Version}), tcl-dev (>= 8.4), zlib1g-dev | libz-dev, ${misc:Depends}
Suggests: aolserver4-doc, aolserver4-daemon
Description: AOL web server version 4 - development files
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package contains header files and libraries needed to develop
 applications based on AOLserver.
 
Package: aolserver4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: www-browser
Suggests: aolserver4-daemon, tcl-doc
Description: AOL web server version 4 - documentation
 AOLserver is the web engine that powers America Online. It
 is capable of serving a very high number of users, and can host
 hundreds of virtual servers simultaneously within the same process.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 This package contains three reference manuals for AOLserver version 3+:
  - The AOLserver Administrator's Guide covers the setup options
    and security issues relating to running the server;
  - The AOLserver Tcl Developer's Guide covers the Tcl API which
    can be used to add features to your web pages (similar in
    some respects to PHP or Microsoft's ASP);
  - The AOLserver C Developer's Guide covers the C API which can
    be used to create new modules to extend AOLserver.
 .
 This is the latest available version of the documentation, but it is
 quite outdated and incomplete. More up-to-date API documentation is
 available at http://panoptic.com/wiki/aolserver/Tcl_API.
