=== debian/watch ===
version=3
http://sf.net/aolserver/aolserver-(4)\.(.+)\.(.+)-src\.tar\.gz
